/*
; Gripper turret driver.
; ======================

;------------------------------------------------------------------------
; Author:	Franzi Edo.	The 18/05/97
; Modifs:
;
; Project:	Ksys (based on Khepera system 5 or greater)
; Goal:		Driver for the gripper turret
;
; This module is (c) of Edoardo Franzi 1992-1998
; franzi@k-team.com
;
;------------------------------------------------------------------------
*/

#ifndef	_GRIPPER_H
#define	_GRIPPER_H

/* Functions */
/* ========= */

extern	int32	gripper_reset(void);
extern	int32	gripper_getVersion(void);
extern	int32	gripper_putArmPosition(uint8 elevation);
extern	int32	gripper_openGripper(void);
extern	int32	gripper_closeGripper(void);
extern	int32	gripper_getGripperPosition(void);
extern	int32	gripper_getArmPosition(void);
extern	int32	gripper_getObjectStatus(void);
extern	int32	gripper_getObjectResistivity(void);
extern	int32	gripper_getJumperState(void);
#endif
