/*
 *	TYPES.H
 */

#ifndef	_TYPES_H
#define	_TYPES_H

typedef	unsigned char	u_char;		/* 8-bit unsigned */
typedef	unsigned short	u_short;	/* 16-bit unsigned */
typedef	unsigned long	u_long;		/* 32-bit unsigned */

typedef	short		dev_t;		/* device (drive) id */
typedef	u_long		fpos_t;		/* file position offset */
typedef	u_long		time_t;		/* seconds since 00:00:00 1.1.1970 GMT */
typedef	u_long 		clock_t;	/* clock ticks */
typedef	u_long		ino_t;
typedef	long		off_t;
typedef	u_short		uid_t;
typedef	u_short		gid_t;
typedef	char	*	caddr_t;

#endif	/* _TYPES_H */

