/*
 *	TIMEB.H
 */

#ifndef	_TIMEB_H
#define	_TIMEB_H

#include <types.h>

struct timeb
	{
	time_t	time;		/* seconds since 00:00:00 1.1.1970 GMT */
	short	millitm;	/* 1/1000s of time */
	short	timezone;	/* difference in min. GMT - local time */
	short	dstflag;	/* 1 = daylight saving time, else 0 */
	};

extern	void	ftime(struct timeb *buf);	/* read timeb */

#endif	/* _TIMEB_H */

